<?php
/*
= LuxCal alert page =

This file is part of the LuxCal Web Calendar.
Copyright 2009-2019 LuxSoft - www.LuxSoft.eu
License http://www.gnu.org/licenses/gpl.html GPL version 3

The LuxCal Web Calendar is distributed WITHOUT ANY WARRANTY.
*/

$bButton = ''; //init

$dbH = dbConnect($calID); //connect to db

$set = getSettings(); //get settings from database
 
//get language file
$lang = strtolower($set['language']);
require "./lang/ui-{$lang}.php";

$rButton = "<button type='button' onclick=\"window.location = window.location.href;\">{$xx['restart']}</button>\n"; //Restart button
if ($set['backLinkUrl']) {
	$bButton = "<button type='button' title='{$xx['hdr_button_back']}' onclick=\"window.location.href='{$set['backLinkUrl']}';\">{$xx['back']}</button>\n"; //Back button
}
if (strpos($alert,'#') !== false) { //populate alert message
	preg_match_all("~#\d~",$alert,$matches);
	foreach($matches[0] as $v) {
		$alert = str_replace($v,$xx["alt_message{$v}"],$alert);
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title><?=$set['calendarTitle']?></title>
<meta name="description" content="LuxCal web calendar - a LuxSoft product">
<meta name="application-name" content="LuxCal">
<meta name="author" content="Roel Buining">
<meta name="robots" content="nofollow">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="icon" type="image/png" href="lcal.png">
<link rel="stylesheet" type="text/css" href="css/css.php?cal=<?=$calID?>">
</head>

<body>
<div class='barTop'>
LuxCal Alert Message
</div>
<div class='contentH scroll'>
<div class='alert'>
<?php
echo "<span>{$alert}";
echo "<br><br>{$rButton}\n";
if ($bButton) { 
	echo "&nbsp;&nbsp;{$bButton}\n";
}
echo "</span>\n";
?>
</div>
</div>
<footer>
<?php
echo "<span class='floatR'><a href='http://www.luxsoft.eu?V".LCV."' target='_blank'>powered by <span class='footLB'>Lux</span><span class='footLR'>Soft</span></a></span>";
if (!empty($note)) { echo "<span class='note'>== {$note} ==</span>"; }
?>
</footer>
</body>
</html>

