<?php
/*
= view calendar changes (added / edited / deleted events) since specified date =

This file is part of the LuxCal Web Calendar.
Copyright 2009-2019 LuxSoft - www.LuxSoft.eu
License http://www.gnu.org/licenses/gpl.html GPL version 3

The LuxCal Web Calendar is distributed WITHOUT ANY WARRANTY.
*/

require './common/retrieve2.php';

function showEvents(&$events,$date) {
	global $wkDays, $set, $eDetails, $xx, $months;
	
	foreach ($events as $evt) {
		$repTxt = repeatText($evt['r_t'],$evt['r_i'],$evt['r_p'],$evt['r_m'],$evt['r_u']); //make repeat text
		$dateTime = makeFullDT(true,$evt['sda'],$evt['eda'],$evt['sti'],$evt['eti']); //make full date/time
		if ($repTxt) { $dateTime .= " ({$repTxt})\n"; } //add repeat text
		if ($set['eventColor']) {
			$eStyle = ($evt['cco'] ? "color:{$evt['cco']};" : '').($evt['cbg'] ? "background-color:{$evt['cbg']};" : '');
		} else {
			$eStyle = $evt['uco'] ? "background-color:{$evt['uco']};" : '';
		}
		$toAppr = ($evt['app'] and !$evt['apd']) ? ' toApprove' : '';
		$eStyle = $eStyle ? " style='{$eStyle}'" : '';
		echo "<table>\n<tr>\n<td class='widthCol1'>".(($evt['sts'] < 0) ? $xx['chg_deleted'] : ($evt['mdt'] > $evt['adt'] ? $xx['chg_edited'] : $xx['chg_added']))."</td>\n";
		echo "<td class='eBox{$toAppr}'>{$dateTime}";
		if ($evt['sts'] >= 0 and ($eDetails or $evt['mayE'])) {
			$click = ($evt['mayE'] ? 'editE' : 'showE')."({$evt['eid']},'{$date}')";
			$title = $evt['mayE'] ? $xx['vws_edit_event'] : ($eDetails ? $xx['vws_see_event'] : '');
			echo "<span class='point evtTitle bold'{$eStyle} onclick=\"{$click};\" title=\"{$title}\">{$evt['tix']}</span>\n";
		} else {
			echo "<span class='evtTitle bold'{$eStyle}>{$evt['tix']}</span>\n";
		}
		if ($eDetails or $evt['mayE']) {
			echo makeE($evt,$set['evtTemplGen'],'bx',"<br>\n")."\n";
		}
		echo "</td>\n</tr>\n</table>\n<br>\n";
	}
}

//sanity check
if (empty($lcV)) { exit('not permitted ('.substr(basename(__FILE__),0,-4).')'); } //launch via script only

//main program
$evtList = array();
$fromD = (isset($_POST['fromD'])) ? DDtoID($_POST['fromD']) : $today;
$fromD = min($fromD,$today);

//display header
echo "<div class='subHead'>
<form id='selectD' name='selectD' action='index.php' method='post'>{$xx['chg_from_date']}: 
{$formCal}
<input type='text' id='fromD' name='fromD' value='".IDtoDD($fromD)."' size='10'>
<span class='dtPick noPrint' title=\"{$xx['chg_select_date']}\" onclick=\"dPicker(0,'selectD','fromD');return false;\">&#x1F4C5;</span>
</form>\n";
if ($fromD != $today) {
	echo "<br><h5>".makeD($fromD,2)." - ".makeD($today,2)."</h5>\n";
}
echo "</div>\n";

// retrieve changed events
grabChanges($fromD,0); //query db for changes

//display changes
echo "<div".($winXS ? '' : " class='scrollBoxCh' id='sBox'").">\n";
$fsClass = $winXS ? 'upc-m' : 'upc';
if ($evtList) {
	foreach($evtList as $date => &$events) {
		if ($events) {
			echo "<fieldset class='{$fsClass}'>\n<legend>{$xx['chg_changed_on']} ".makeD($date,5)."</legend>\n";
			showEvents($events,$date);
			echo "</fieldset>";
		}
	}
} else {
	echo "<div class='floatC'>{$xx['chg_no_changes']}</div>\n";
}
echo "</div>\n<br>";
?>
